### Method

# GIRepository ArgInfo get_type_info

since: 2.80

#### Declaration [src]

    GITypeInfo*
    gi_arg_info_get_type_info (
      GIArgInfo* info
    )

#### Description [src]

Obtain the type information for `info`.

Available since: 2.80

#### Return value

Type: `GITypeInfo`

The `GITypeInfo` holding the type information for `info`, free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.